<div class="container mt-4">
  <div class="card">
    <div class="card-header">
      <h2 class="text-primary">New Add</h2>
    </div>
    <div class="card-body">
      <form #addCreateForm="ngForm">
        <div class="row">
          <div class="col-6">
            <label for="carMake">
              <b>Car Make</b>
            </label>
            <select name="carMake" class="form-control bg-light" (change)="onModelSelectChange()" [(ngModel)]="carAddCreate.make" #carMake="ngModel" required>
              <option selected disabled>Select make</option>
              <option *ngFor="let make of carMakes" value="{{make.id}}">
                {{make.name}}
              </option>
            </select>
          </div>
          <div class="col-6" *ngIf="carAddCreate.make != null">
            <label for="carModel">
              <b>Car Model</b>
            </label>
            <select name="carModel" class="form-control bg-light" [(ngModel)]="carAddCreate.model" #carModel="ngModel" required>
              <option *ngFor="let model of carModels" value="{{model.id}}">
                {{model.name}}
              </option>
            </select>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-3">
            <label for="mileage"><b>Mileage</b></label>
            <input type="number" name="mileage" placeholder="Mileage" class="form-control bg-light" [(ngModel)]="carAddCreate.mileage" #mileage="ngModel" required>
          </div>
          <div class="col-3">
            <label for="year"><b>Year</b></label>
            <select class="form-control bg-light" [(ngModel)]="carAddCreate.year" name="year" #year="ngModel" required>
              <option value="0" selected disabled>Select year</option>
              <option *ngFor="let year of years" value="{{year}}">{{year}}</option>
            </select>
          </div>
          <div class="col-3">
            <label for="price"><b>Price</b></label>
            <input type="number" placeholder="Price $" name="price" class="form-control bg-light" [(ngModel)]="carAddCreate.price" #price="ngModel" required>
          </div>
          <div class="col-3">
            <label for="city"><b>City</b></label>
            <select name="city" [(ngModel)]="carAddCreate.city" class="form-control bg-light" #city="ngModel" required>
              <option value="0" selected disabled>Select year</option>
              <option value="{{city.id}}" *ngFor="let city of cities">{{city.name}}</option>
            </select>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-12">
            <label for="details"><b>Details</b></label>
            <textarea name="details" class="form-control bg-light" cols="30" rows="7" [(ngModel)]="carAddCreate.details" #details="ngModel" required></textarea>
          </div>
        </div>
      </form>
    </div>
    <div class="row">
      <div class="col-6">
        <input type="file" hidden #uploadImage (change)="selectFile($event)">
        <button class="btn btn-primary ml-3 mb-2" (click)="uploadImage.click()" [disabled]="addCreateForm.invalid">Browse Images</button>
      </div>
      <div class="col-6 progress" *ngIf="currentFileUpload">
        <div class="progress-bar progress-bar-info progress-bar-striped" role="progressbar" attr.aria-valuenow="{{progress.percentage}}"
          aria-valuemin="0" aria-valuemax="100" [ngStyle]="{width:progress.percentage+'%'}">
          {{progress.percentage}}%</div>
      </div>
    </div>
    <div class="row" id="uploadImages" *ngIf="imagesForUpload.length > 0">
      <div class="col-3" *ngFor="let image of imagesForUpload; let i = index">
        <img src="{{image.url}}" class="img-fluid" ngbTooltip="Click to remove" (click)="deleteFromFirebase(i)">
      </div>
    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-6">
          <button class="btn btn-success float-left" (click)="createAdd()" [disabled]="addCreateForm.invalid">Create Add</button>
        </div>
        <div class="col-6">
          <button class="btn btn-secondary float-right" (click)="onCancel()">Cancel</button>
        </div>
      </div>
    </div>
  </div>
</div>